LibreOffice: CachedContentResultSet Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Public Attributes | List of all members
CachedContentResultSet Service Referencepublished

is used on client side to access a ContentResultSet remote optimized. More...

Inheritance diagram for CachedContentResultSet:

## Included Services
service | com::sun::star::ucb::ContentResultSet
Included Services inherited from ContentResultSet
service | com::sun::star::sdbc::ResultSet
| can be implemented to provide a complete JDBC conform result set interface for the implementation of this service.

## Public Attributes
long | FetchSize
| contains the number of result set rows that should be fetched from an underlying database.
long | FetchDirection
| contains the direction for fetching rows from an underlying database.
Public Attributes inherited from ContentResultSet
long | CursorTravelMode
| controls the travel mode of the result set cursor.
long | RowCount
| contains the number of rows obtained (so far) from the data source.
boolean | IsRowCountFinal
| indicates that all rows of the result set have been obtained.
Public Attributes inherited from ResultSet
string | CursorName
| defines the SQL cursor name that will be used by subsequent Statement `execute` methods.
long | ResultSetConcurrency
| retrieves the result set concurrency.
long | ResultSetType
| determines the result set type.
long | FetchDirection
| retrieves the direction for fetching rows from database tables that is the default for result sets generated from this com::sun::star::sdbcx::Statement object.
long | FetchSize
| retrieves the number of result set rows that is the default fetch size for result sets generated from this com::sun::star::sdbcx::Statement object.

## Additional Inherited Members
Exported Interfaces inherited from ContentResultSet
interface | com::sun::star::lang::XComponent
| must be implemented to make it possible to resolve cyclic object references ( i.e.
interface | com::sun::star::sdbc::XResultSetMetaDataSupplier
| provides access to the result set meta data.
interface | com::sun::star::sdbc::XResultSet
| enables traveling through the result set members ( the contents ).
interface | com::sun::star::sdbc::XRow
| provides access to data of the content the cursor is pointing to.
interface | com::sun::star::sdbc::XCloseable
| makes it possible to abort running activities ( i.e.
interface | com::sun::star::beans::XPropertySet
| holds properties of the result set.
interface | XContentAccess
| provides access to the content identifier and the content object itself.
Exported Interfaces inherited from ResultSet
interface | com::sun::star::lang::XComponent
| optional for implementation; controls the releasing of resources and the notification of registered listeners.
interface | XCloseable
| freeing all resources of a result set.
interface | com::sun::star::beans::XPropertySet
interface | XWarningsSupplier
| controls the chaining of warnings, which may occur on every call to the connected database.
interface | XResultSetMetaDataSupplier
| provides the access to the result set description.
interface | XResultSet
| is the interface for navigating on the rows on a result set.
interface | XResultSetUpdate
| is the interface for updating row data to the database.
interface | XRow
| is the interface for accessing the data of the current row.
interface | XColumnLocate
| is used for locating a column by its name.
interface | XRowUpdate
| is the interface for updating the data of the current row.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XResultSetMetaDataSupplier
XResultSetMetaData | getMetaData () raises (SQLException)
| retrieves the number, types, and properties of a ResultSet's columns.
Public Member Functions inherited from XResultSet
boolean | next () raises (SQLException)
| moves the cursor down one row from its current position.
boolean | isBeforeFirst () raises (SQLException)
| indicates whether the cursor is before the first row in the result set.
boolean | isAfterLast () raises (SQLException)
| indicates whether the cursor is after the last row in the result set.
boolean | isFirst () raises (SQLException)
| indicates whether the cursor is on the first row of the result set.
boolean | isLast () raises (SQLException)
| indicates whether the cursor is on the last row of the result set.
void | beforeFirst () raises (SQLException)
| moves the cursor to the front of the result set, just before the first row.
void | afterLast () raises (SQLException)
| moves the cursor to the end of the result set, just after the last row.
boolean | first () raises (SQLException)
| moves the cursor to the first row in the result set.
boolean | last () raises (SQLException)
| moves the cursor to the last row in the result set.
long | getRow () raises (SQLException)
| retrieves the current row number.
boolean | absolute ([in] long row) raises (SQLException)
| moves the cursor to the given row number in the result set.
boolean | relative ([in]long rows) raises (SQLException)
| moves the cursor a relative number of rows, either positive or negative.
boolean | previous () raises (SQLException)
| moves the cursor to the previous row in the result set.
void | refreshRow () raises (SQLException)
| refreshes the current row with its most recent value in the database.
boolean | rowUpdated () raises (SQLException)
| indicates whether the current row has been updated.
boolean | rowInserted () raises (SQLException)
| indicates whether the current row has had an insertion.
boolean | rowDeleted () raises (SQLException)
| indicates whether a row has been deleted.
com::sun::star::uno::XInterface | getStatement () raises (SQLException)
| returns the Statement that produced this com::sun::star::sdbc::ResultSet object.
Public Member Functions inherited from XRow
boolean | wasNull () raises (SQLException)
| reports whether the last column read had a value of SQL NULL.
string | getString ([in]long columnIndex) raises (SQLException)
| gets the value of a column in the current row as a string.
boolean | getBoolean ([in]long columnIndex) raises (SQLException)
| gets the value of a column in the current row as boolean.
byte | getByte ([in]long columnIndex) raises (SQLException)
| get the value of a column in the current row as a byte.
short | getShort ([in]long columnIndex) raises (SQLException)
| gets the value of a column in the current row as a short.
long | getInt ([in]long columnIndex) raises (SQLException)
| get the value of a column in the current row as an integer.
hyper | getLong ([in]long columnIndex) raises (SQLException)
| get the value of a column in the current row as a long.
float | getFloat ([in]long columnIndex) raises (SQLException)
| gets the value of a column in the current row as a float.
double | getDouble ([in]long columnIndex) raises (SQLException)
| gets the value of a column in the current row as a double.
sequence< byte > | getBytes ([in]long columnIndex) raises (SQLException)
| gets the value of a column in the current row as a byte array.
com::sun::star::util::Date | getDate ([in]long columnIndex) raises (SQLException)
| gets the value of a column in the current row as a date object.
com::sun::star::util::Time | getTime ([in]long columnIndex) raises (SQLException)
| gets the value of a column in the current row as a time object.
com::sun::star::util::DateTime | getTimestamp ([in]long columnIndex) raises (SQLException)
| gets the value of a column in the current row as a datetime object.
com::sun::star::io::XInputStream | getBinaryStream ([in]long columnIndex) raises (SQLException)
| gets the value of a column in the current row as a stream of uninterpreted bytes.
com::sun::star::io::XInputStream | getCharacterStream ([in]long columnIndex) raises (SQLException)
| gets the value of a column in the current row as a stream of uninterpreted bytes.
any | getObject ([in]long columnIndex, [in]com::sun::star::container::XNameAccess typeMap) raises (SQLException)
| returns the value of a column in the current row as an object.
XRef | getRef ([in]long columnIndex) raises (SQLException)
| gets a REF(&lt;structured-type&gt;) column value from the current row.
XBlob | getBlob ([in]long columnIndex) raises (SQLException)
| gets a BLOB value in the current row.
XClob | getClob ([in]long columnIndex) raises (SQLException)
| gets a CLOB value in the current row of this `ResultSet` object.
XArray | getArray ([in]long columnIndex) raises (SQLException)
| gets a SQL ARRAY value from the current row of this `ResultSet` object.
Public Member Functions inherited from XCloseable
void | close () raises (SQLException)
| releases all resources connected to an object.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XContentAccess
string | queryContentIdentifierString ()
| returns the identifier string of the content ( "cheap method" ).
XContentIdentifier | queryContentIdentifier ()
| returns the identifier object of the content.
XContent | queryContent ()
| returns the content ( "most expensive method" ).
Public Member Functions inherited from XColumnLocate
long | findColumn ([in]string columnName) raises (SQLException)
| maps the given ResultSet column name to its ResultSet column index.
Protected Member Functions inherited from XWarningsSupplier
any | getWarnings () raises (SQLException)
| returns the first warning reported by calls on an object that supports the usage of warnings.
void | clearWarnings () raises (SQLException)
| clears all warnings reported for the object implementing the interface.
Protected Member Functions inherited from XResultSetUpdate
void | insertRow () raises (SQLException)
| inserts the contents of the insert row into the result set and the database.
void | updateRow () raises (SQLException)
| updates the underlying database with the new contents of the current row.
void | deleteRow () raises (SQLException)
| deletes the current row from the result set and the underlying database.
void | cancelRowUpdates () raises (SQLException)
| cancels the updates made to a row.
void | moveToInsertRow () raises (SQLException)
| moves the cursor to the insert row.
void | moveToCurrentRow () raises (SQLException)
| moves the cursor to the remembered cursor position, usually the current row.
Protected Member Functions inherited from XColumnLocate
long | findColumn ([in]string columnName) raises (SQLException)
| maps the given ResultSet column name to its ResultSet column index.
Protected Member Functions inherited from XRowUpdate
void | updateNull ([in]long columnIndex) raises (SQLException)
| gives a nullable column a null value.
void | updateBoolean ([in]long columnIndex, [in]boolean x) raises (SQLException)
| updates a column with a boolean value.
void | updateByte ([in]long columnIndex, [in]byte x) raises (SQLException)
| updates a column with a byte value.
void | updateShort ([in]long columnIndex, [in]short x) raises (SQLException)
| updates a column with a short value.
void | updateInt ([in]long columnIndex, [in]long x) raises (SQLException)
| updates a column with an long value.
void | updateLong ([in]long columnIndex, [in]hyper x) raises (SQLException)
| updates a column with a hyper value.
void | updateFloat ([in]long columnIndex, [in]float x) raises (SQLException)
| updates a column with a float value.
void | updateDouble ([in]long columnIndex, [in]double x) raises (SQLException)
| updates a column with a double value.
void | updateString ([in]long columnIndex, [in]string x) raises (SQLException)
| updates a column with a string value.
void | updateBytes ([in]long columnIndex, [in]sequence< byte > x) raises (SQLException)
| updates a column with a byte array value.
void | updateDate ([in]long columnIndex, [in]com::sun::star::util::Date x) raises (SQLException)
| updates a column with a date value.
void | updateTime ([in]long columnIndex, [in]com::sun::star::util::Time x) raises (SQLException)
| updates a column with a time value.
void | updateTimestamp ([in]long columnIndex, [in]com::sun::star::util::DateTime x) raises (SQLException)
| updates a column with a timestamp value.
void | updateBinaryStream ([in]long columnIndex, [in]com::sun::star::io::XInputStream x, [in]long length) raises (SQLException)
| updates a column with a stream value.
void | updateCharacterStream ([in]long columnIndex, [in]com::sun::star::io::XInputStream x, [in]long length) raises (SQLException)
| updates a column with a stream value.
void | updateObject ([in]long columnIndex, [in]any x) raises (SQLException)
| updates a column with an object value.
void | updateNumericObject ([in]long columnIndex, [in]any x, [in]long scale) raises (SQLException)
| updates a column with an object value.

## Detailed Description

is used on client side to access a ContentResultSet remote optimized.

The CachedContentResultSet will not load every single property or even row just in that moment you ask for it, but load the data for some rows beforehand.

Every time when a new package of data is loaded, the so far loaded data will be released, so the cash will not grow and grow and grow.

## Exported Interfaces

## ◆ com::sun::star::ucb::ContentResultSet

service com::sun::star::ucb::ContentResultSet

## Member Data Documentation

## ◆ FetchDirection

long FetchDirection
| property

contains the direction for fetching rows from an underlying database.

The value can be one of the com::sun::star::sdbc::FetchDirection constants group.

The default value is implementation specific.

If you set the value to com::sun::star::sdbc::FetchDirection::UNKNOWN an implementation specific direction will be used.

## ◆ FetchSize

long FetchSize
| property

contains the number of result set rows that should be fetched from an underlying database.

The default fetch size is implementation specific.

Every negative value for parameter FetchSize will force an implementation specific value to be set.

The documentation for this service was generated from the following file:

- com/sun/star/ucb/CachedContentResultSet.idl